{% if userapps_list %}
    {% for DashboardPage in userapps_list %}
        <tr>
            <td>{{ DashboardPage.AppName }}</td>
            <td><a id="appFqdnHttp_{{ DashboardPage.id }}" href="http://{{ DashboardPage.appFqdn }}"><span id="appFqdn_{{ DashboardPage.id }}">{{ DashboardPage.appFqdn }}</span></a></td>
            <td><span id="appStatus_{{ DashboardPage.id }}">{{ DashboardPage.appStatus }}</span></td>
            <td>{{ DashboardPage.owner }}</td>
            <td>
{#                <p><a class="btn btn-outline-primary btn-sm js-update-app-stats" href="#"#}
{#                      onclick="updateAppInfo({{ DashboardPage.id }})" role="button"><span#}
{#                        class="fa fa-refresh"></span> Refresh</a></p>#}

                                <button type="button"
                        class="btn btn-outline-primary btn-sm js-update-app-stats"
                        onclick="updateAppInfo({{ DashboardPage.id }})" >
                    <span class="fa fa-refresh"></span> Refresh
                </button>
            </td>
            {#                    <td>#}
            {#                        <p><a class="btn btn-danger btn-sm js-delete-app"#}
            {#                              href="{% url 'delete_app' pk=DashboardPage.id %}" role="button"><span#}
            {#                                class="fa fa-trash"></span> Delete</a></p>#}
            {#                    </td>#}


            <td>
{#                <p><a class="btn btn-danger btn-sm js-delete-app"#}
{#                      href="{% url 'app_delete' DashboardPage.id %}" role="button"><span#}
{#                        class="fa fa-trash"></span> Delete</a></p>#}

                <button type="button"
                        class="btn btn-danger btn-sm js-delete-app"
                        data-url="{% url 'app_delete' DashboardPage.id %}">
                    <span class="fa fa-trash"></span> Delete
                </button>
            </td>


        </tr>
    {% endfor %}
{% else %}
    <tr>
        <td colspan="7" class="text-center bg-warning">There are no apps in your library.</td>
    </tr>
{% endif %}